package com.ruoyi.business.service;

import java.util.List;
import com.ruoyi.business.domain.HwAlarmRule;

/**
 * 报警规则Service接口
 * 
 * @author xins
 * @date 2023-09-16
 */
public interface IHwAlarmRuleService 
{
    /**
     * 查询报警规则
     * 
     * @param alarmRuleId 报警规则主键
     * @return 报警规则
     */
    public HwAlarmRule selectHwAlarmRuleByAlarmRuleId(Long alarmRuleId);

    /**
     * 查询报警规则列表
     * 
     * @param hwAlarmRule 报警规则
     * @return 报警规则集合
     */
    public List<HwAlarmRule> selectHwAlarmRuleList(HwAlarmRule hwAlarmRule);

    /**
     * 新增报警规则
     * 
     * @param hwAlarmRule 报警规则
     * @return 结果
     */
    public int insertHwAlarmRule(HwAlarmRule hwAlarmRule);

    /**
     * 修改报警规则
     * 
     * @param hwAlarmRule 报警规则
     * @return 结果
     */
    public int updateHwAlarmRule(HwAlarmRule hwAlarmRule);

    /**
     * 批量删除报警规则
     * 
     * @param alarmRuleIds 需要删除的报警规则主键集合
     * @return 结果
     */
    public int deleteHwAlarmRuleByAlarmRuleIds(Long[] alarmRuleIds);

    /**
     * 删除报警规则信息
     * 
     * @param alarmRuleId 报警规则主键
     * @return 结果
     */
    public int deleteHwAlarmRuleByAlarmRuleId(Long alarmRuleId);
}
